Bug 496478 - Review Request: perl-WWW-Pastebin-RafbNet-Create - Create new pastes on http://rafb.net/
Review Request: perl-WWW-Pastebin-RafbNet-Create - Create new pastes on http:...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/WWW-Paste...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 10:45 EDT by Iain Arnell
Modified: 2009-05-09 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.001-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Chris Weyl 2009-04-19 16:14:44 EDT
There's an examples/ directory; why not include it under %doc?

There's a missing dep on Class::Data::Accessor, due to a 'use base' construct.
Please add this before building...

Otherwise, looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307894

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
af8ee45f6bbf1efede1c725ae6556a529199f29d WWW-Pastebin-RafbNet-Create-0.001.tar.gz
af8ee45f6bbf1efede1c725ae6556a529199f29d WWW-Pastebin-RafbNet-Create-0.001.tar.gz.srpm

Final provides / requires are sane (with the above caveat):

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.src.rpm
====> requires for perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.src.rpm
perl(Class::Data::Accessor) >= 0.04001
perl(LWP::UserAgent) >= 2.036
perl(Module::Build)  
perl(Test::Kwalitee)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  
perl(URI) >= 1.35

=====> perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.noarch.rpm
perl(WWW::Pastebin::RafbNet::Create) = 0.001
perl-WWW-Pastebin-RafbNet-Create = 0.001-1.fc10
====> requires for perl-WWW-Pastebin-RafbNet-Create-0.001-1.fc10.noarch.rpm
perl(base)  
perl(Carp)  
perl(LWP::UserAgent)  
perl(:MODULE_COMPAT_5.10.0)  
perl(overload)  
perl(strict)  
perl(URI)  
perl(warnings)  

APPROVED
Comment 2 Iain Arnell 2009-04-19 16:25:52 EDT
New Package CVS Request
=======================
Package Name: perl-WWW-Pastebin-RafbNet-Create
Short Description: Create new pastes on http://rafb.net/
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-23 12:42:34 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-23 23:29:38 EDT
perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc10
Comment 5 Fedora Update System 2009-04-23 23:29:44 EDT
perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc11
Comment 6 Iain Arnell 2009-04-23 23:30:39 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-06 19:31:29 EDT
perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:22:38 EDT
perl-WWW-Pastebin-RafbNet-Create-0.001-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.